To: DougB@FreeBSD.org, FreeBSD-Current@FreeBSD.org
Subject:

Index: mergemaster.sh
===================================================================
RCS file: /home/ncvs/src/usr.sbin/mergemaster/mergemaster.sh,v
retrieving revision 1.51
diff -u -r1.51 mergemaster.sh
--- mergemaster.sh	7 Mar 2004 10:10:19 -0000	1.51
+++ mergemaster.sh	26 Aug 2004 08:54:54 -0000
@@ -790,7 +790,18 @@
   cd "${DESTDIR}/etc/rc.d" &&
   for file in *; do
     if [ ! -e "${TEMPROOT}/etc/rc.d/${file}" ]; then
-      STALE_RC_FILES="${STALE_RC_FILES} ${file}"
+      case "${STRICT}" in
+      [Yy][Ee][Ss])
+        STALE_RC_FILES="${STALE_RC_FILES} ${file}"
+        ;;
+      '' | [Nn][Oo])
+        if grep -c "[$]${CVS_ID_TAG}: src" ${file} ; then
+          STALE_RC_FILES="${STALE_RC_FILES} ${file}"
+        else
+          EXTRA_RC_FILES="${EXTRA_RC_FILES} ${file}"
+        fi
+        ;;
+      esac
     fi
   done
   case "${STALE_RC_FILES}" in